org.apache.lucene.analysis.payloads

## Interface PayloadEncoder

- All Known Implementing Classes:
    AbstractEncoder, FloatEncoder, IdentityEncoder, IntegerEncoder

      public interface PayloadEncoder

  Mainly for use with the DelimitedPayloadTokenFilter, converts char buffers to Payload.

  NOTE: This interface is subject to change

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.index.Payload` | `encode(char[] buffer)`
    `org.apache.lucene.index.Payload` | `encode(char[] buffer, int offset, int length)` Convert a char array to a `Payload`

- - ### Method Detail

    - #### encode

          org.apache.lucene.index.Payload encode(char[] buffer)

    - #### encode

          org.apache.lucene.index.Payload encode(char[] buffer,
                                                 int offset,
                                                 int length)

      Convert a char array to a `Payload`
      Parameters:
        `buffer` -
        `offset` -
        `length` -
      Returns:
        encoded `Payload`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.